<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="class">
    <name>DNSSD::DomainBrowser</name>
    <filename>classDNSSD_1_1DomainBrowser.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>domainRemoved</name>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>domainAdded</name>
      <anchor>l1</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DomainBrowser</name>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DomainBrowser</name>
      <anchor>a1</anchor>
      <arglist>(const QStringList &amp;domains, bool recursive=false, QObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>const QStringList &amp;</type>
      <name>domains</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startBrowse</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRunning</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchor>b0</anchor>
      <arglist>(int, void *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::PublicService</name>
    <filename>classDNSSD_1_1PublicService.html</filename>
    <base>QObject</base>
    <base>DNSSD::ServiceBase</base>
    <member kind="signal">
      <type>void</type>
      <name>published</name>
      <anchor>l0</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PublicService</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;name=QString::null, const QString &amp;type=QString::null, unsigned int port=0, const QString &amp;domain=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>publish</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPublished</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>publishAsync</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTextData</name>
      <anchor>a6</anchor>
      <arglist>(const QMap&lt; QString, QString &gt; &amp;textData)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setServiceName</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;serviceName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setType</name>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;type)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPort</name>
      <anchor>a9</anchor>
      <arglist>(unsigned short port)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDomain</name>
      <anchor>a10</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>customEvent</name>
      <anchor>b0</anchor>
      <arglist>(QCustomEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchor>b1</anchor>
      <arglist>(int, void *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::Query</name>
    <filename>classDNSSD_1_1Query.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>serviceAdded</name>
      <anchor>l0</anchor>
      <arglist>(DNSSD::RemoteService::Ptr)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>serviceRemoved</name>
      <anchor>l1</anchor>
      <arglist>(DNSSD::RemoteService::Ptr)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>finished</name>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Query</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;type, const QString &amp;domain)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>startQuery</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRunning</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isFinished</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>domain</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchor>b0</anchor>
      <arglist>(int, void *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>customEvent</name>
      <anchor>b1</anchor>
      <arglist>(QCustomEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::RemoteService</name>
    <filename>classDNSSD_1_1RemoteService.html</filename>
    <base>QObject</base>
    <base>DNSSD::ServiceBase</base>
    <member kind="typedef">
      <type>KSharedPtr&lt; RemoteService &gt;</type>
      <name>Ptr</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>resolved</name>
      <anchor>l0</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>RemoteService</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;label)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>RemoteService</name>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;name, const QString &amp;type, const QString &amp;domain)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resolveAsync</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>resolve</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isResolved</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchor>b0</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>customEvent</name>
      <anchor>b1</anchor>
      <arglist>(QCustomEvent *event)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend KDNSSD_EXPORT QDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchor>n0</anchor>
      <arglist>(QDataStream &amp;s, const RemoteService &amp;a)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend KDNSSD_EXPORT QDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchor>n1</anchor>
      <arglist>(QDataStream &amp;s, RemoteService &amp;a)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::Responder</name>
    <filename>classDNSSD_1_1Responder.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>process</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Responder</name>
      <anchor>a0</anchor>
      <arglist>(DNSServiceRef ref=0, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRunning</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRef</name>
      <anchor>a3</anchor>
      <arglist>(DNSServiceRef ref)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>DNSServiceRef</type>
      <name>m_ref</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_running</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QSocketNotifier *</type>
      <name>m_socket</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::ServiceBase</name>
    <filename>classDNSSD_1_1ServiceBase.html</filename>
    <member kind="typedef">
      <type>KSharedPtr&lt; ServiceBase &gt;</type>
      <name>Ptr</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ServiceBase</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;name=QString::null, const QString &amp;type=QString::null, const QString &amp;domain=QString::null, const QString &amp;host=QString::null, unsigned short port=0)</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>serviceName</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>type</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>domain</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>hostName</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>unsigned short</type>
      <name>port</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QMap&lt; QString, QString &gt; &amp;</type>
      <name>textData</name>
      <anchor>a7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>encode</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>decode</name>
      <anchor>b1</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchor>b2</anchor>
      <arglist>(int, void *)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_serviceName</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_type</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_domain</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_hostName</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>unsigned short</type>
      <name>m_port</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QMap&lt; QString, QString &gt;</type>
      <name>m_textData</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend KDNSSD_EXPORT QDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchor>n0</anchor>
      <arglist>(QDataStream &amp;s, const ServiceBase &amp;a)</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend KDNSSD_EXPORT QDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchor>n1</anchor>
      <arglist>(QDataStream &amp;s, ServiceBase &amp;a)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::ServiceBrowser</name>
    <filename>classDNSSD_1_1ServiceBrowser.html</filename>
    <base>QObject</base>
    <member kind="enumeration">
      <name>State</name>
      <anchor>w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>removeDomain</name>
      <anchor>i0</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>addDomain</name>
      <anchor>i1</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>serviceAdded</name>
      <anchor>l0</anchor>
      <arglist>(DNSSD::RemoteService::Ptr)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>serviceRemoved</name>
      <anchor>l1</anchor>
      <arglist>(DNSSD::RemoteService::Ptr)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>finished</name>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ServiceBrowser</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;type, DomainBrowser *domains=0, bool autoResolve=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ServiceBrowser</name>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;type, const QString &amp;domain, bool autoResolve=false)</arglist>
    </member>
    <member kind="function">
      <type>const QValueList&lt; RemoteService::Ptr &gt; &amp;</type>
      <name>services</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>startBrowse</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const DomainBrowser *</type>
      <name>browsedDomains</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>const State</type>
      <name>isAvailable</name>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const QString</type>
      <name>AllServices</name>
      <anchor>s0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchor>b0</anchor>
      <arglist>(int, void *)</arglist>
    </member>
  </compound>
</tagfile>
